# Uses of Class
javax.management.relation.InvalidRelationServiceException

Packages that use InvalidRelationServiceException
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

## Uses of InvalidRelationServiceException in javax.management.relation

Methods in javax.management.relation that throw InvalidRelationServiceException
Modifier and Type
Method
Description
`void`
RelationService.`addRelation​(ObjectName relationObjectName)`
Adds an MBean created by the user (and registered by him in the MBean Server) as a relation in the Relation Service.
`void`
RelationServiceMBean.`addRelation​(ObjectName relationObjectName)`
Adds an MBean created by the user (and registered by him in the MBean Server) as a relation in the Relation Service.